<ng-container xmlns="http://www.w3.org/1999/html">

  <h2>Current Driver for this league</h2>
  <div *ngIf="noContent">
    <mat-list-item class="driverListItem">Add a driver to your league</mat-list-item>
  </div>
  <div *ngIf="!noContent">
    <table [dataSource]="dataSource" class="mat-elevation-z8" mat-table>
      <ng-container matColumnDef="position">
        <th *matHeaderCellDef mat-header-cell> Position</th>
        <td *matCellDef="let driverRow" mat-cell> {{driverRow.position}} </td>
      </ng-container>

      <ng-container matColumnDef="driver">
        <th *matHeaderCellDef mat-header-cell> Driver Name</th>
        <td *matCellDef="let driverRow" mat-cell> {{driverRow.driver}} </td>
      </ng-container>

      <ng-container matColumnDef="points">
        <th *matHeaderCellDef mat-header-cell> Points</th>
        <td *matCellDef="let driverRow" mat-cell> {{driverRow.points}} </td>
      </ng-container>

      <tr *matHeaderRowDef="columnsToDisplay" mat-header-row></tr>
      <tr *matRowDef="let row; columns: columnsToDisplay;" mat-row></tr>
    </table>
  </div>

</ng-container>

